package com.ibiz.core.r7rt_org.filter;

import java.math.BigDecimal;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.ibiz.util.ISearchFilter;
import com.ibiz.util.domain.DataObj;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ibiz.util.SearchContext;
import com.ibiz.util.SearchFieldFilter;
import com.ibiz.util.enums.SearchFieldType;
import com.ibiz.util.enums.SearchGroupType;
import com.ibiz.util.SearchGroupFilter;
import lombok.Data;

/**
 * 关系型数据实体[OrgDeptUser] 查询条件对象
 */
@Data
public class OrgDeptUserSearchContext extends SearchContext {

	   public String n_orgdeptusername_like;//[部门用户名称]
       public void setN_orgdeptusername_like(String n_orgdeptusername_like) {
            this.n_orgdeptusername_like=n_orgdeptusername_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgdeptusername");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_orgdeptusername_like);
            this.getCondition().add(searchField);
       }
	   public String n_orgname_eq;//[组织名称]
       public void setN_orgname_eq(String n_orgname_eq) {
            this.n_orgname_eq=n_orgname_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgname");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_orgname_eq);
            this.getCondition().add(searchField);
       }
	   public String n_orgname_like;//[组织名称]
       public void setN_orgname_like(String n_orgname_like) {
            this.n_orgname_like=n_orgname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_orgname_like);
            this.getCondition().add(searchField);
       }
	   public String n_orgdeptname_eq;//[部门名称]
       public void setN_orgdeptname_eq(String n_orgdeptname_eq) {
            this.n_orgdeptname_eq=n_orgdeptname_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgdeptname");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_orgdeptname_eq);
            this.getCondition().add(searchField);
       }
	   public String n_orgdeptname_like;//[部门名称]
       public void setN_orgdeptname_like(String n_orgdeptname_like) {
            this.n_orgdeptname_like=n_orgdeptname_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgdeptname");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_orgdeptname_like);
            this.getCondition().add(searchField);
       }
	   public String n_orgusername_eq;//[组织用户名称]
       public void setN_orgusername_eq(String n_orgusername_eq) {
            this.n_orgusername_eq=n_orgusername_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgusername");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_orgusername_eq);
            this.getCondition().add(searchField);
       }
	   public String n_orgusername_like;//[组织用户名称]
       public void setN_orgusername_like(String n_orgusername_like) {
            this.n_orgusername_like=n_orgusername_like;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgusername");
            searchField.setCondition(SearchFieldType.LIKE);
            searchField.setValue(n_orgusername_like);
            this.getCondition().add(searchField);
       }
	   public String n_orguserid_eq;//[组织用户标识]
       public void setN_orguserid_eq(String n_orguserid_eq) {
            this.n_orguserid_eq=n_orguserid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orguserid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_orguserid_eq);
            this.getCondition().add(searchField);
       }
	   public String n_orgid_eq;//[组织标识]
       public void setN_orgid_eq(String n_orgid_eq) {
            this.n_orgid_eq=n_orgid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_orgid_eq);
            this.getCondition().add(searchField);
       }
	   public String n_orgdeptid_eq;//[部门标识]
       public void setN_orgdeptid_eq(String n_orgdeptid_eq) {
            this.n_orgdeptid_eq=n_orgdeptid_eq;
            SearchFieldFilter searchField = new SearchFieldFilter();
            searchField.setParam("orgdeptid");
            searchField.setCondition(SearchFieldType.EQ);
            searchField.setValue(n_orgdeptid_eq);
            this.getCondition().add(searchField);
       }

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String strQuery)
	{
		 this.query=strQuery;
         if(!org.springframework.util.StringUtils.isEmpty(strQuery)){
           SearchGroupFilter searchGroupFilter=new SearchGroupFilter();
           searchGroupFilter.setSearchGroupType(SearchGroupType.OR);

           SearchFieldFilter orgdeptusername=new SearchFieldFilter();
           orgdeptusername.setParam("orgdeptusername");
           orgdeptusername.setCondition(SearchFieldType.LIKE);
           orgdeptusername.setValue(strQuery);
           searchGroupFilter.getCondition().add(orgdeptusername);
        this.getCondition().add(searchGroupFilter);   

           
           
        }
	}
}
